summaryrefslogtreecommitdiffstats
path: root/libesmtp-config.in
diff options
context:
space:
mode:
Diffstat (limited to 'libesmtp-config.in')
-rw-r--r--libesmtp-config.in87
1 files changed, 87 insertions, 0 deletions
diff --git a/libesmtp-config.in b/libesmtp-config.in
new file mode 100644
index 0000000..837f369
--- /dev/null
+++ b/libesmtp-config.in
@@ -0,0 +1,87 @@
+#! /bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+
+usage()
+{
+ cat <<EOF
+Usage: libesmtp-config [OPTION]
+
+Known values for OPTION are:
+
+ --prefix=DIR change libesmtp prefix [default $prefix]
+ --libs print library linking information
+ --cflags print pre-processor and compiler flags
+ --plugindir print authentication plugin location
+ --help display this help and exit
+ --version output version information
+ --numeric-version output version information
+ --lib-version output library version
+EOF
+
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+cflags=false
+libs=false
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ ;;
+
+ --prefix)
+ echo $prefix
+ ;;
+
+ --version)
+ echo @VERSION@
+ exit 0
+ ;;
+
+ --numeric-version)
+ echo @VERSION@ | awk -F '[a-z.]*' '{ print ($1 * 1000 + $2) * 1000 + $3 }'
+ exit 0
+ ;;
+
+ --lib-version)
+ echo @LIBESMTP_VERSION@
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ echo -I@includedir@ @PTHREAD_CFLAGS@
+ ;;
+
+ --libs)
+ echo @PTHREAD_LDFLAGS@ -L@libdir@ -lesmtp @LIBS@ @PTHREAD_LIBS@
+ ;;
+
+ --plugindir)
+ echo @plugindir@
+ ;;
+
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+exit 0